#### PyKDE - Python Bindings for KDE

# class KPasswordEdit |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KPasswordEdit
Inherits | QLineEdit

### enums

- EchoModes = {OneStar, ThreeStars, NoEcho }

### methods

- KPasswordEdit (parent = 0, name = 0)

  returns a KPasswordEdit instance
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0
  name | char | 0

- KPasswordEdit (echoMode, parent, name)

  returns a KPasswordEdit instance
  Argument | Type | Default
  --- | --- | ---
  echoMode | EchoMode |
  parent | QWidget |
  name | char |

- KPasswordEdit (echoMode, parent, name)

  returns a KPasswordEdit instance
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  echoMode | KPasswordEdit.EchoModes |
  parent | QWidget |
  name | char |

- KPasswordEdit (parent, name, echoMode)

  returns a KPasswordEdit instance
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget |
  name | char |
  echoMode | int |

- erase ()

  returns nothing

- event (e)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  e | QEvent |

- focusInEvent (e)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  e | QFocusEvent |

- insert (a0)

  returns nothing
  In versions KDE 3.1.2 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |

- keyPressEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QKeyEvent |

- maxPasswordLength ()

  returns (int)
  In versions KDE 3.4.0 and above only

- password ()

  returns (char)

- setMaxPasswordLength (newLength)

  returns nothing
  In versions KDE 3.4.0 and above only
  Argument | Type | Default
  --- | --- | ---
  newLength | int |

### variables

- variables

  Variable | Type
  --- | ---
  PassLen | int